;
; Autor : Jess Manuel Hernndez
; Fecha : Septiembre 1998 / Sept 1999
;
; Descripcin : Muestra una imagen .BMP usando un modo VESA (LFB)
;
[BITS 16]
[SEGMENT CODE]

extern ShowBMP                ; Carga en pantalla una imagen .BMP
extern ModoTexto              ; Pone modo texto
extern StartTimer             ; Empieza a contar ciclos de reloj
extern StopTimer              ; Para de contar e imprime el resultado
extern Start                  ; Idem StartTimer si < Pentium
extern Stop                   ; Idem StopTimer si < Pentium
extern Flat386                ; Pone modo FLAT y habilita A20

;MODO    equ 4115h             ; 800x600x32bpp en S3 Trio 64+
MODO    equ 4112h             ; 640x480x32bpp en S3 Trio 64+

..start mov ax,STACK
        mov ss,ax
        mov sp,StackTOP

        call far Flat386      ; Set FLAT memory model
        call far StartTimer   ; Arranca el cronmetro
;        call far Start

        mov ax,_DATA
        mov ds,ax
        mov dx,Nombre         ; DS:DX = Puntero al nombre de fichero.
        mov cx,MODO
        call far ShowBMP      ; Carga la pantalla
                              ; Devuelve EDI = Origen pantalla
                              ;          EDX = WIDTHX pantalla
                              ;          ECX = BPP
	mov ah,00h
	int 16h               ; Espera la pulsacin de una tecla
        call far ModoTexto    ; Pone modo texto
        call far StopTimer    ; Para el cronmetro y muestra el resultado
;        call far Stop
	mov ah,00h
	int 16h               ; Espera la pulsacin de una tecla
        mov ax,4C00H
        int 21h               ; Retorna al MSDOS

[SEGMENT _DATA CLASS=DATA]
Nombre  db 'logow.BMP',0       ; Cadena ASCIIZ (Con un cero al final)

[SEGMENT STACK STACK]
        resd 512
StackTOP: