[BITS 16]

;includelib seti.lib

[extern Flat386]
[extern StartTimer]
[extern StopTimer]

[SEGMENT CODE]

..start: jmp prueba3

;
; Usando un direccionamiento lineal (byte a byte)
;

prueba:
         CALL  far Flat386           ; activar modo flat

         call  far StartTimer
         XOR   AX,AX
         MOV   DS,AX
         MOV   EBX,0B8000h       ; direccin de vdeo absoluta
         MOV   CX,2000
llena_pant:    MOV   BYTE [EBX],'A'
         INC   EBX
         MOV   BYTE [EBX],15
         INC   EBX
         LOOP  llena_pant
         call  far StopTimer
         MOV AX,4C00H
         INT 21H

;
; Usando un direccionamiento segmentado (byte a byte)
;

prueba2:
         call  far StartTimer
         mov   AX,0B800h
         MOV   DS,AX
         MOV   EBX,0h       ; direccin de vdeo relativa al segmento
         MOV   CX,2000
llena2:  MOV   BYTE [EBX],'A'
         INC   EBX
         MOV   BYTE [EBX],15
         INC   EBX
         LOOP  llena2
         call  far StopTimer
         MOV AX,4C00H
         INT 21H

;
; Usando un direccionamiento lineal (qword a qword) (MMX)
;

prueba3:
         CALL  far Flat386           ; activar modo flat

         call  far StartTimer
         XOR   AX,AX
         MOV   ES,AX
         mov   ax,DATA
         mov   ds,ax
         MOV   EBX,0B8000h       ; direccin de vdeo absoluta
         MOV   CX,2000/4
         movq  mm0,[Dato]
llena_pant2:
         movq  [es:EBX],mm0
         add ebx,8

         LOOP  llena_pant2
         emms
         call  far StopTimer
         MOV AX,4C00H
         INT 21H
[SEGMENT DATA]
Dato     dd 0f410f41h,0f410f41h

[SEGMENT STACK STACK]
         resb 512
