#ifndef _ZORAN
#define _ZORAN _ZORAN

struct PARAM_MODIF {
	unsigned int Ancho;
	unsigned int Alto;
	unsigned char Profundidad;
	unsigned int InterLineado;
	unsigned char Brillo;
	char Contraste;
	char Color;
	char Saturacion;
	unsigned char GananciaUV;
	unsigned char Escalado;
	unsigned char VidIn;
	unsigned char Estandar;
	unsigned long int Overlay;
	};

extern int OpenZoran(void);
extern int CloseZoran(void);
extern int Config(struct PARAM_MODIF);
extern int Capture(unsigned long, unsigned int);

// Formato de pixel
#define YUV422	0
#define RGB888	1
#define RGB565	2
#define RGB555	3
#define BGR888	4
#define BGR565	5
#define BGR555	6
#define RGB8888	7

// Estandares de video
#define NTSC 0
#define PAL 1
#define SECAM 2

// Entradas de video
#define SVIDEO 0
#define VIDEO1 1
#define VIDEO2 2

// Modos de Captura
#define STOP	0
#define GRAB_SIN	1
#define GRAB_ASIN	2
#define CONTINUO 3

#endif